2019-08-26 09:03 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000050mercuryBugpublic2015-11-15 23:15
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000050: another compiler abort when using debug grades
DescriptionThe attached program causes the compiler to abort with:

Uncaught Mercury exception:
Software Error: continuation_info.m: Unexpected: find_typeinfos_for_tvars: can't find rval for type_info var V_59

when compiled in a debug grade. It compiles successfully in non-debug grades.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000867

zs (developer)

Fix committed 2015 nov 15.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-04 01:48 juliensf New Issue
2008-03-04 01:48 juliensf File Added: fzn_missing_rval.m
2015-11-15 03:41 zs Assigned To => zs
2015-11-15 03:41 zs Status new => assigned
2015-11-15 23:15 zs Note Added: 0000867
2015-11-15 23:15 zs Status assigned => resolved
2015-11-15 23:15 zs Resolution open => fixed
+Issue History